/* C Source File
 Created 17/12/04; 11:58:17
*/


#define COMMENT_STRING         "Programed by C.Gallet"
#define COMMENT_PROGRAM_NAME   "Pandu"
#define COMMENT_VERSION_STRING "1.0"
#define MIN_AMS 200
#define SET_FILE_IN_USE_BIT
#define _89  //remplace by _92 to have a 92+ version

#include <tigcclib.h>
#include "pandu_word.h"




INT_HANDLER save_int_1;

SCR_RECT ECRAN = {{0, 0, _89_92(159, 239), _89_92(99, 127)}};

////////////////////////////////////////////////////////////////////////////////
void InputStr(char *buffer, unsigned short maxlen)//a string input
{
  SCR_STATE ss;
  short key;
  unsigned short i = 0;
  buffer[0] = 0;
  SaveScrState (&ss);
  FontSetSys(F_6x8);
  do
    {
      MoveTo (ss.CurX, ss.CurY);
      printf_xy (ss.CurX,ss.CurY,"%s_ ", buffer);
        // Note that two spaces are required if the F_4x6 font is used
  		while (!kbhit())
		  {
        idle();
	  		if (OSTimerExpired (APD_TIMER))
  			{
		    	off();
		     	OSTimerRestart(APD_TIMER);		// Reset APD Timer to its initial value
	  		}
  		}
      OSTimerRestart(APD_TIMER);
      key = ngetchx ();
      if (key == key_off || key == key_off2)
        off();
      if (isextlower(key) && i < maxlen)
        buffer[i++] = key;
      else if (key == KEY_BACKSPACE && i)//erase the line
        i--;
      else if ((key == key_off) || (key == key_off2))
        off();   // Turns the calculator off
      buffer[i] = 0;
    } while (key != key_enter);
}
/////////////////////////////////////////////////////////////////////////////////
void wait(unsigned short n)//copy from flib : wait 'n' hundredth
{
  asm("
  0:
  move.w #10200,%%d0
  1:
  dbra %%d0,1b
  dbra %0,0b
 "::"d"(n):"d0");
}

////////////////////////////////////////////////////////////////////////////////////
void clear(void)//clear th screen slowly(inspired by 'mrworm ' by Jfg)
{
  unsigned short i, j ,check=GrayCheckRunning();
  GrayOff();
	for(i=0 ; i<=LCD_HEIGHT ; i++)
	{
		DrawLine(0, i, LCD_WIDTH, i, A_NORMAL);
		for (j = 200; j ; j--)
		{
		  random(15);//wait
		}
  	DrawLine(0, i, 239, i, A_REVERSE);//erase the line
	}
   if (check)
     GrayOn();
}


////////////////////////////////////////////////////////////////////////////////////
void quit(BOOL finish)//quit the game
{
	short i,j;
	SetAlphaStatus(FALSE);
	if(!finish)
	{
		clear();
	  _main();
	}
  GrayOff();
  for (i=0 ; i<=LCD_HEIGHT ;i++)
  {
    memcpy(LCD_MEM,screen,(i*240)/8);//put the picture slowly
		for (j = 200; j ; j--)
		  random(15);//wait
  }
  ST_helpMsg(COMMENT_STRING);
  free(screen);
  SetIntVec (AUTO_INT_1, save_int_1);
	redo=0;
  exit(0);//quit the program

}



/////////////////////////////////////////////////////////////////////////////////
void about(void)//show information
{
	clear();
	char msg[500]="  This is the classic hangman game.
  The goal is to find the word before the draw
  is finish(there are ten stages).
  In order to play just type a lowercase letter

  There is 3 ways to play:generate a random
  english word,a random french word or you
  can type a word."
  ,title[30]="PANDU V1.02";
  static LCD_BUFFER virtuel[2];
	WIN_RECT line2={0,_89_92(84,112),240,_89_92(84,112)};
  GraySetAMSPlane(DARK_PLANE);
  PortSet(virtuel[0],239,127);//set up the virtual screen
  FontSetSys(F_8x10);
  DrawStr(35,2,title,A_NORMAL);
	FontSetSys(F_4x6);
  DrawStr(5,87,"Author : Camille Gallet",A_NORMAL);
  DrawStr(30,93,"e-mail : caam_g@hotmail.com",A_NORMAL);
  DrawClipLine(&(WIN_RECT){0,13,240,13},&ECRAN,A_NORMAL);
  DrawClipLine(&line2,&ECRAN,A_NORMAL);
  MoveTo(0,24);
	printf(msg);

  GraySetAMSPlane(LIGHT_PLANE);
  PortSet(virtuel[1],239,127);//set up the virtual screen
  MoveTo(0,24);
	printf(msg);
  FontSetSys(F_8x10);
  DrawStr(35,2,title,A_NORMAL);
  DrawStr(36,3,title,A_NORMAL);
  DrawClipLine(&(WIN_RECT){0,13,240,13},&ECRAN,A_NORMAL);
  DrawClipLine(&line2,&ECRAN,A_NORMAL);

  memcpy(GrayGetPlane(DARK_PLANE),virtuel[0],LCD_SIZE);
  memcpy(GrayGetPlane(LIGHT_PLANE),virtuel[1],LCD_SIZE);
  while(!_keytest(RR_ESC)&&!_keytest(RR_ENTER)&&!_keytest(RR_2ND));
	clear();
	PortRestore();
}


////////////////////////////////////////////////////////////////////////////////
void option(void)
{
  short buffer[2];
	short key=0;
 	GrayOff();
  SetIntVec (AUTO_INT_1, save_int_1);
	if(enter==0)
		ngetchx();
  clear();

  buffer[0] = input;
  buffer[1] = output;

	HANDLE menu = PopupNew (NULL, 30);
  PopupAddText (menu, -1, "rand word (eng)", 1);
  PopupAddText (menu, -1, "rand word (fr)", 2);
  PopupAddText (menu, -1, "normal input", 3);

	HANDLE menu2 = PopupNew (NULL, 20);
  PopupAddText (menu2, -1, "in the same time", 1);
  PopupAddText (menu2, -1, "one by one", 2);

  HANDLE option_dlg = DialogNewSimple (120, 50);
  DialogAddTitle (option_dlg, "OPTIONS", BT_SAVE, BT_CANCEL);
  DialogAddPulldown(option_dlg, 0, 20, "INPUT?", menu ,0);
  DialogAddPulldown(option_dlg, 0, 30, "OUTPUT?", menu2 ,1);

	key = DialogDo (option_dlg, CENTER, CENTER, NULL, buffer);

  HeapFree (option_dlg);
  HeapFree (menu);
  HeapFree (menu2);
	enter=0;
  if (key == key_enter)
  {
    input = buffer[0];
    output = buffer[1];
		enter=1;
  }
  GKeyFlush();
  ClrScr();
	SetIntVec (AUTO_INT_1, DUMMY_HANDLER);
 	GrayOn();

}

/////////////////////////////////////////////////////////////////////////////////
void retype(void)
{
  WINDOW retype;
  WIN_RECT win_retype={15, 40, 140, 53};
  SCR_RECT rect2={{16, 41, 139, 52}};
 	WinOpen (&retype, &win_retype , WF_SAVE_SCR | WF_TTY);
	WinActivate (&retype);
	WinFont(&retype, F_6x8);
	WinStr (&retype, "letter already type");
	ScrRectFill(&rect2 ,&ECRAN,A_XOR);
	idle();
	ngetchx();
	WinClose(&retype);

}
/////////////////////////////////////////////////////////////////////////////////

void winner(void)
{
  WINDOW winner;
  WIN_RECT win_winner={33, 46, 112, 62};
  SCR_RECT rect2={{34, 47, 111, 61}};
 	WinOpen (&winner, &win_winner , WF_SAVE_SCR | WF_TTY);
	WinActivate (&winner);
	WinFont(&winner, F_8x10);
	WinStr (&winner, "You win!!");
	ScrRectFill(&rect2 ,&ECRAN,A_XOR);
	idle();
	ngetchx();
	WinClose(&winner);

}

////////////////////////////////////////////////////////////////////////////////////
void lose(char *word)
{
  unsigned char msg[50];
	void *screen = malloc(LCD_SIZE);
	unsigned char eyes_open[] = {0,21,0,47,
	0x02,0x00,0x00,0x00,0x00,0x82,0x04,0x00,0x00,0x00,0x00,0x40,0x04,0x00,0x00,0x00,
	0x00,0x40,0x08,0x3F,0xC0,0x07,0xF8,0x20,0x08,0xC6,0x30,0x18,0xC6,0x20,0x09,0x09,
	0x08,0x21,0x21,0x20,0x31,0x0F,0x08,0x21,0xE1,0x18,0x51,0x0F,0x08,0x21,0xE1,0x14,
	0x51,0x09,0x0A,0xA1,0x21,0x14,0x90,0xC6,0x32,0x98,0xC6,0x12,0x90,0x3F,0xC2,0x87,
	0xF8,0x12,0x50,0x00,0x04,0x40,0x00,0x14,0x50,0x00,0x04,0x40,0x00,0x14,0x30,0x00,
	0x08,0x20,0x00,0x18,0x30,0x00,0x08,0x20,0x00,0x18,0x10,0x00,0x10,0x10,0x00,0x10,
	0x10,0x00,0x10,0x10,0x00,0x10,0x08,0x00,0x20,0x08,0x00,0x20,0x08,0x00,0x20,0x08,
	0x00,0x20,0x08,0x00,0x20,0x08,0x00,0x20,0x08,0x00,0x10,0x10,0x00,0x20
	};
	unsigned char eyes_close[] = {0,21,0,47,
	0x02,0x00,0x00,0x00,0x00,0x82,0x04,0x00,0x00,0x00,0x00,0x40,0x04,0x00,0x00,0x00,
	0x00,0x40,0x08,0x1F,0x00,0x01,0xF0,0x20,0x08,0x60,0xC0,0x06,0x0C,0x20,0x08,0x80,
	0x20,0x08,0x02,0x20,0x31,0x00,0x10,0x10,0x01,0x18,0x51,0x00,0x10,0x10,0x01,0x14,
	0x51,0x00,0x12,0x90,0x01,0x14,0x91,0x00,0x12,0x90,0x01,0x12,0x90,0xFF,0xE2,0x8F,
	0xFE,0x12,0x50,0x00,0x04,0x40,0x00,0x14,0x50,0x00,0x04,0x40,0x00,0x14,0x30,0x00,
	0x08,0x20,0x00,0x18,0x30,0x00,0x08,0x20,0x00,0x18,0x10,0x00,0x10,0x10,0x00,0x10,
	0x10,0x00,0x10,0x10,0x00,0x10,0x08,0x00,0x20,0x08,0x00,0x20,0x08,0x00,0x20,0x08,
	0x00,0x20,0x08,0x00,0x20,0x08,0x00,0x20,0x08,0x00,0x10,0x10,0x00,0x20
	};
	LCD_save(screen);
  BitmapPut(81,29,&eyes_open,&ECRAN,A_REPLACE);
	wait(100);
  BitmapPut(81,29,&eyes_close,&ECRAN,A_REPLACE);
	wait(150);
	LCD_restore(screen);
	free(screen);
	DrawPix(104,30,A_NORMAL);DrawPix(104,31,A_NORMAL);DrawPix(103,31,A_NORMAL);
	DrawPix(106,30,A_NORMAL);DrawPix(106,31,A_NORMAL);DrawPix(107,31,A_NORMAL);
	DrawLine(104,33,106,33,A_REPLACE);
	wait(200);
  sprintf(msg,"You lose!!The word was\n%s",word);
  WINDOW perdu;
  WIN_RECT win_perdu={10, 40, 150, 70};
  SCR_RECT rect2={{11, 41, 149, 69}};
 	WinOpen (&perdu, &win_perdu , WF_SAVE_SCR | WF_TTY);
	WinActivate (&perdu);
	WinFont(&perdu, F_6x8);
	WinStr (&perdu, msg);
	ScrRectFill(&rect2 ,&ECRAN,A_XOR);
	idle();
	ngetchx();
	WinClose(&perdu);
}

///////////////////////////////////////////////////////////////////////////////////
void inv(short yc)//draw an inverted rectangle in greyscale
{

    yc = ymin + (15 * (yc - 1));
	  GraySetAMSPlane (LIGHT_PLANE);
	  DrawClipRect(&(WIN_RECT){15, yc-1,145, yc+12},&ECRAN,B_NORMAL | A_XOR);
    GraySetAMSPlane (DARK_PLANE);
	  ScrRectFill(&(SCR_RECT){{16, yc,144, yc+11}},&ECRAN,A_XOR);

}

/////////////////////////////////////////////////////////////////////////////////
short intro(short choix)//the initial screen
{

  unsigned short up,down,end,i;
	static unsigned char titre[] = { 0, 17, 0, 88,
	0x00,0xFF,0xE0,0x0E,0x01,0x80,0x18,0x7F,0xC0,0x30,0x06,0x00,0xFF,0xF8,0x0E,0x01,
	0xC0,0x18,0x7F,0xF0,0x30,0x06,0x01,0x80,0x30,0x3E,0x03,0xC0,0x30,0xC0,0xF0,0x60,
	0x0C,0x01,0x80,0x18,0x36,0x03,0xE0,0x30,0xC0,0x38,0x60,0x0C,0x03,0x00,0x30,0x6C,
	0x06,0xC0,0x61,0x80,0x30,0xC0,0x18,0x03,0x00,0x30,0xEE,0x06,0xE0,0x61,0x80,0x38,
	0xC0,0x18,0x06,0x00,0x61,0x8C,0x0C,0xE0,0xC3,0x00,0x31,0x80,0x30,0x06,0x00,0xC1,
	0x8C,0x0C,0x70,0xC3,0x00,0x31,0x80,0x30,0x0F,0xFF,0x87,0x1C,0x18,0x61,0x86,0x00,
	0x63,0x00,0x60,0x0F,0xFE,0x06,0x0C,0x18,0x71,0x86,0x00,0x63,0x00,0x60,0x18,0x00,
	0x1C,0x1C,0x30,0x73,0x0C,0x00,0xC6,0x00,0xC0,0x18,0x00,0x1F,0xFC,0x30,0x3B,0x0C,
	0x01,0xC6,0x00,0xC0,0x30,0x00,0x3F,0xF8,0x60,0x36,0x18,0x03,0x0C,0x01,0x80,0x30,
	0x00,0x70,0x1C,0x60,0x3E,0x18,0x07,0x06,0x03,0x00,0x60,0x00,0xC0,0x18,0xC0,0x3C,
	0x30,0x3C,0x0E,0x0E,0x00,0x60,0x01,0xC0,0x1C,0xC0,0x1C,0x3F,0xF8,0x07,0xFC,0x00,
	0xC0,0x03,0x80,0x39,0x80,0x18,0x7F,0xC0,0x03,0xE0,0x00
	};
  up=0;down=0;end=0;
	FontSetSys(F_8x10);
  GraySetAMSPlane(LIGHT_PLANE);
  ymin=34;
	BitmapPut(38,8,&titre,&ECRAN,A_REPLACE);
	BitmapPut(39,9,&titre,&ECRAN,A_REPLACE);
  for (i=0;i<=1;i++)
  {
	  DrawStr(56,35,"1:play",A_NORMAL);
	  DrawStr(44,50,"2:options",A_NORMAL);
	  DrawStr(52,65,"3:about",A_NORMAL);
    DrawStr(56,80,"4:quit",A_NORMAL);
    GraySetAMSPlane(DARK_PLANE);
	}
	BitmapPut(38,8,&titre,&ECRAN,A_NORMAL);
	for (i=0 ; i<1000 ; i++)
	  random(500);
	if (_keytest(RR_ENTER))
	for (i=0 ; i<1000 ; i++)
	  random(5000);

	FontSetSys(F_4x6);
	DrawStr(10,94,"Press 2nd/Enter",A_REPLACE);
  inv(choix);
 	while(1)
	{
	   end=0;
	   if (!_keytest(RR_UP) && up==0)  up=1;
	   if (!_keytest(RR_DOWN) && down==0)  down=1;

     if ((_keytest(RR_2ND) || _keytest(RR_ENTER)) && end==0)
       end=1;
		 if (!_keytest(RR_PLUS) && !_keytest(RR_MINUS) && !_keytest(RR_ESC))
		 {
		   //  changes the cursor position
		   if (_keytest(RR_UP) && up==1 && choix != 1)
		   {
		     inv(choix);
		 	   choix --;
		     inv(choix);
		     up=0;
		   }else if (_keytest(RR_DOWN) && down==1 && choix < 4)
		   {
	       inv(choix);
	       choix ++;
		     inv(choix);
			   down=0;
		   }else if (!_keytest(RR_DOWN) && !_keytest(RR_UP))
			 {
		     if (_keytest(RR_1))
		     {
		     	 choix=1;
		       break;
		     }else if (_keytest(RR_2))
		     {
		     	 choix=2;
		       break;
		     }else if (_keytest(RR_3))
		     {
		     	 choix=3;
		       break;
		     }else if (_keytest(RR_4))
		     {
		     	 choix=4;
		       break;
	  	   }
	  	 }
		 }

		 if (_keytest(RR_2ND)) enter=1;
     if (((_keytest(RR_2ND) || _keytest(RR_ENTER)) && end==1) && !_keytest(RR_PLUS) && !_keytest(RR_MINUS))
       break;
	  }
 for (i=0 ; i<100 ; i++)
   random(500);
 return (choix);
}


/////////////////////////////////////////////////////////////////////////////////////
void draw_hang(short hang)//draw the hang man in nine stages
{
	short i;
  switch (hang)
  {
		case 1:
			DrawClipRect(&(WIN_RECT){81,73,148,78},&ECRAN,A_REPLACE | B_NORMAL);
			DrawLine(81,72,88,65,A_NORMAL);
			DrawLine(88,65,155,65,A_NORMAL);
			FillLines2(&(WIN_RECT){148,78,155,71},&(WIN_RECT){148,72,155,65},&ECRAN,A_REPLACE);
			DrawLine(155,65,148,72,A_NORMAL);
			DrawLine(84,69,151,69,A_NORMAL);break;
		case 2:
			ScrRectFill(&(SCR_RECT){{131,17,144,71}},&ECRAN,A_REVERSE);
			DrawClipRect(&(WIN_RECT){131,71,142,17},&ECRAN,A_REPLACE | B_NORMAL);
			FillLines2(&(WIN_RECT){142,71,145,68},&(WIN_RECT){142,16,145,13},&ECRAN,A_REPLACE);
			DrawLine(131,16,134,13,A_NORMAL);
			DrawLine(145,13,134,13,A_NORMAL);break;
		case 3:
			ScrRectFill(&(SCR_RECT){{84,11,150,17}},&ECRAN,A_REVERSE);
			DrawClipRect(&(WIN_RECT){84,17,150,11},&ECRAN,A_REPLACE | B_NORMAL);
			FillLines2(&(WIN_RECT){150,17,153,14},&(WIN_RECT){150,10,153,7},&ECRAN,A_REPLACE);
			DrawLine(85,10,88,7,A_NORMAL);
			DrawLine(88,7,153,7,A_NORMAL);break;
		case 4:
	  	DrawLine(116,18,130,32,A_REPLACE);
			for (i=0 ; i<7 ; i++)
		  	DrawLine(122+i,18,130,26-i,A_REPLACE);break;
		case 5:
	  	DrawLine(104,18,104,20,A_REPLACE);
	  	DrawLine(106,18,106,20,A_REPLACE);
	  	DrawLine(105,19,105,27,A_REPLACE);break;
		case 6:
			DrawClipEllipse(105,31,4,4,&ECRAN,A_REPLACE);break;
		case 7:
	  	DrawLine(104,36,106,36,A_REPLACE);
	  	DrawLine(104,37,101,38,A_REPLACE);
	  	DrawLine(106,37,109,38,A_REPLACE);
	  	DrawLine(101,38,101,46,A_REPLACE);
	  	DrawLine(109,38,109,46,A_REPLACE);
	  	DrawLine(102,47,108,47,A_REPLACE);break;
	  case 8:
	  	DrawLine(100,39,99,40,A_REPLACE);
	  	DrawLine(99,40,99,43,A_REPLACE);
	  	DrawLine(99,43,100,44,A_REPLACE);
	  	DrawLine(110,39,111,40,A_REPLACE);
	  	DrawLine(111,40,111,43,A_REPLACE);
	  	DrawLine(111,43,110,44,A_REPLACE);break;
		case 9:
			DrawClipRect(&(WIN_RECT){102,48,108,58},&ECRAN,A_REPLACE | B_NORMAL);
		  DrawLine(105,50,105,58,A_REPLACE);
		  DrawLine(104,59,103,62,A_REPLACE);
		  DrawLine(106,59,107,62,A_REPLACE);
		  DrawLine(102,59,100,62,A_REPLACE);
		  DrawLine(108,59,110,62,A_REPLACE);
		  DrawLine(101,63,102,63,A_REPLACE);
		  DrawLine(108,63,109,63,A_REPLACE);
  }

}



/////////////////////////////////////////////////////////////////////////////////

void _main(void)
{
  save_int_1 = GetIntVec (AUTO_INT_1);
  SetIntVec (AUTO_INT_1, DUMMY_HANDLER);

	short rand_nb,input2=0,dim_mot,nb_found=0,i,hang_stage=0, key, choix=1,continu=0,lpendu[35];
	char letters_type[35]="",word[28],mot[28],lettre[2]=" ";
	for (i=0 ; i<35 ; i++)
	  lpendu[i]=0;//fill the array with '0'
	key_off=KEY_OFF,key_off2=KEY_OFF2,key_enter=KEY_ENTER;
	enter=0;
  if (!redo)//this code will be executed just once(at the begining)
 	{
	  input=1;
	  output=0;
	  screen = malloc(LCD_SIZE);
	  LCD_save(screen);
 	}
  redo=1;
	ClrScr();
  GrayOn();//active greyscale
	do{
		choix=intro(choix);
	  if(choix == 2)
  	  option();
	  if (choix == 3)
	    about();
  }while(choix==2 || choix==3);//while you don't type "quit" or "play"
  FontSetSys(F_6x8);

	if (!choix || choix==4)
		quit(1);
	clear();
	GrayOff();
  SetIntVec (AUTO_INT_1, save_int_1);
	if (input==3)
	  input2++;
	if (!input2)
	{
    randomize();
    rand_nb=random(120);
    if (input == 2)
  	  strcpy(mot,word_french[rand_nb]);
  	else
  	  strcpy(mot,word_english[rand_nb]);
  }else{
    do{
	  	WIN_RECT input_rect={0,49,159,60},input_title={37,40,125,49};
	  	DrawStr(42,41,"mystery word?",A_REPLACE);
	  	DrawClipRect(&input_title,&ECRAN,B_ROUNDED | A_NORMAL);
	    DrawClipRect(&input_rect,&ECRAN,B_NORMAL | A_NORMAL);
	    MoveTo(2,50);
	  	InputStr(mot,26);
	  	ClrScr();
  	}while (!strlen(mot));//while the length of 'mot' is null
  }
  dim_mot=strlen(mot);

  for (i=0;i<dim_mot;i++)
    printf_xy(i*6,85,"_");

	FontSetSys(F_8x10);
	DrawStr (1,2,"P",A_NORMAL);
	DrawStr (11,2,"A",A_NORMAL);
	DrawStr (20,2,"NDU",A_NORMAL);
	ScrRectFill(&(SCR_RECT){{10,1,19,11}},&ECRAN,A_XOR);
	FontSetSys(F_6x8);
  WIN_RECT letr_rect={5,46,90,59};
	DrawStr (8,49,"Type a letter",A_NORMAL);
  DrawClipRect(&letr_rect,&ECRAN,B_DOUBLE | A_NORMAL);
	SetAlphaStatus(FALSE);
  while ((10-hang_stage))
  {
    do
    {
	    SetAlphaStatus(TRUE);
    	key=ngetchx();
			SetAlphaStatus(FALSE);
    	lettre[0]=(char)key;
    	if (key==KEY_F5)
        quit(1);
    	if (key==KEY_ESC)
        quit(0);
      if (key == key_off || key == key_off2)
        off();

    }while (!isextlower(lettre[0]));
 		if (strchr(letters_type,(short)lettre[0]) != NULL)//if the letter was already type
    {
      if (output)
      {
        for(i=0 ; i<dim_mot ; i++)
        {
          continu=0;
          if (lettre[0]==word[i] && lpendu[i])
          	break;
          else{
            retype();
	        continu=1;
	        break;
          }
        }
        if (continu)
          continue;
        }else{
          retype();
	      continue;
        }
      }
    strcat(letters_type,lettre);//add the letter to the array
		if (strchr(mot,(short)lettre[0]) != NULL)//if the letter is in the word
		{
      for (i=0;i<dim_mot;i++)
      {
        if (mot[i]==lettre[0] && !lpendu[i])
        {
    		  DrawStr(6*i,85,lettre,A_REPLACE);
        	word[i]=lettre[0];
					lpendu[i]=1;
   	      nb_found++;
   	      if (output)
   	        break;
        }
      }
      if (nb_found == dim_mot)//if all leters have been found
      {
        winner();
        quit(0);
      }
		}else{
    	DrawStr(6*hang_stage,32,lettre,A_REPLACE);
    	hang_stage++;
    	if (hang_stage==10)
      {
        lose(mot);
        quit(0);
      }
      draw_hang(hang_stage);
  	}
  }
	quit(0);
}
